%define name mlt
%define version 0.2.2
%define release %mkrel 6
%define major	0.2.2

%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d
%define libname_orig	lib%{name}

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-x86_64.patch.bz2
Patch1:		%{name}-%{version}-noO4.patch.bz2
Patch2:		mlt-0.2.2-linuxppc.patch
License:	LGPL
Group:		Video
Url: 		http://mlt.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig
BuildRequires:	ffmpeg
BuildRequires:	ffmpeg-devel >= 0.4.9-3.pre1
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	ladspa-devel
BuildRequires:	libdv-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pango-devel
BuildRequires:	qt3-devel
BuildRequires:  quicktime-devel
BuildRequires:	SDL-devel
BuildRequires:	sox-devel >= 12.18.1-2mdv2007.0
BuildRequires:	ImageMagick
BuildRequires:	mad-devel
Requires: pango
Requires: gtk2
Requires: SDL
Requires: sox

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

%package -n     %{libname}
Summary:        Main library for mlt 
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt.


%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use mlt
Group:          Development/C
Requires:       %{libname} = %{version}
# mlt-config requires stuff from %{_datadir}/%{name}
Requires:	%{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt.


%prep
%setup -q
%ifarch x86_64
%patch0 -p1 -b .x86_64
%endif
%patch1 -p1 -b .noO4
%patch2 -p1 -b .ppc

%build
%configure2_5x \
	--disable-debug \
	--enable-gpl \
	--disable-mmx \
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
%ifarch x86_64
	--disable-motion-est \
%else
	--enable-motion-est
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%multiarch_binaries %{buildroot}%{_bindir}/mlt-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc docs COPYING README
%{_bindir}/albino
%{_bindir}/humperdink
%{_bindir}/inigo
%{_bindir}/miracle
%{_datadir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/mlt-config
%{_bindir}/mlt-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-18 11:36:41 (98492)
- fix patch2: enable SSE optimizations for x86-64


* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-18 11:11:46 (98469)
- drop BuildRequires libavifile-devel (not used)
- patch2: fix build on ppc


* Mon Oct 30 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-10-30 21:03:41 (73837)
- buildrequires mad-devel

* Mon Oct 30 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-10-30 20:54:53 (73832)
- buildrequires ImageMagick

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-10-29 19:37:18 (73665)
rebuild


* Sat Oct 28 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-10-28 19:36:37 (73608)
drop unused plf build switch
fix invalid provides of libpackage
fix requires of devel package


* Wed Oct 25 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-10-25 18:10:07 (72881)
- commit on behalf of Giuseppe Ghibò to get package in sync with svn:
  * Wed Sep 13 2006 Giuseppe Ghibò <ghibo@mandriva.com> 0.2.2-2mdv2007.0
  - Fix build for X86_64.
  - Fixed License.
  - Removed suffix in configure, so to let modules avformat built.


* Fri Jun 23 2006 jmartin
+ 2006-06-23 08:23:11 (37905)
import mlt-0.2.2-0.1.20060mdk

* Tue Jun 20 2006 Jerome Martin <jmartin@mandriva.org> 0.2.2-1
- Initial version

